import TrackService from "../service/track-service.js";
import ApiResult from "../config/api.js";
const TrackControl = {
  list: async (req, res) => {
    try {
      TrackService.list(req.body).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  page: async (req, res) => {
    try {
      TrackService.page(req.body).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  info: async (req, res) => {
    try {
      TrackService.info(req.params.id).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  add: async (req, res) => {
    try {
      TrackService.add(req.body).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  edit: async (req, res) => {
    try {
      TrackService.edit(req.body).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  del: async (req, res) => {
    try {
      TrackService.del(req.params?.ids?.split(',')).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
  infoBySourceId: async (req, res) => {
    try {
      TrackService.queryBy({sourceId: req.params.sourceId}).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
}
export default TrackControl